using System;
using System.Collections.Generic;
using System.Text;

namespace AdventureWorks.Cinema.ServiceAccessLayer.WebService
{
    public partial class Country
    {
        /// <summary>
        /// berschreibt <see cref="System.Object.ToString()"/> um eine
        /// Menschen lesbare Reprsentation einer Instanz dieser Klasse zu
        /// generieren.
        /// </summary>
        public override string ToString()
        {
            return Name;
        }
    }

    public partial class User
    {
        /// <summary>
        /// berschreibt <see cref="System.Object.ToString()"/> um eine
        /// Menschen lesbare Reprsentation einer Instanz dieser Klasse zu
        /// generieren.
        /// </summary>
        public override string ToString()
        {
            StringBuilder builder = new StringBuilder();
            builder.Append(FirstNames);
            builder.Append(" ");
            builder.Append(LastName);
            return builder.ToString();
        }
    }

    public partial class Genre
    {
        /// <summary>
        /// berschreibt <see cref="System.Object.ToString()"/> um eine
        /// Menschen lesbare Reprsentation einer Instanz dieser Klasse zu
        /// generieren.
        /// </summary>
        public override string ToString()
        {
            return Name;
        }
    }

    public partial class Distributor
    {
        /// <summary>
        /// berschreibt <see cref="System.Object.ToString()"/> um eine
        /// Menschen lesbare Reprsentation einer Instanz dieser Klasse zu
        /// generieren.
        /// </summary>
        public override string ToString()
        {
            return Name;
        }
    }

    public partial class Movie
    {
        /// <summary>
        /// berschreibt <see cref="System.Object.ToString()"/> um eine
        /// Menschen lesbare Reprsentation einer Instanz dieser Klasse zu
        /// generieren.
        /// </summary>
        public override string ToString()
        {
            return Title;
        }
    }

    public partial class MovieInfo
    {
        /// <summary>
        /// berschreibt <see cref="System.Object.ToString()"/> um eine
        /// Menschen lesbare Reprsentation einer Instanz dieser Klasse zu
        /// generieren.
        /// </summary>
        public override string ToString()
        {
            return Title;
        }
    }

    public partial class NewsItem
    {
        /// <summary>
        /// berschreibt <see cref="System.Object.ToString()"/> um eine
        /// Menschen lesbare Reprsentation einer Instanz dieser Klasse zu
        /// generieren.
        /// </summary>
        public override string ToString()
        {
            return Subject;
        }
    }

    public partial class NewsCategory
    {
        /// <summary>
        /// berschreibt <see cref="System.Object.ToString()"/> um eine
        /// Menschen lesbare Reprsentation einer Instanz dieser Klasse zu
        /// generieren.
        /// </summary>
        public override string ToString()
        {
            return Name;
        }
    }

    public partial class ParentalGuidance
    {
        /// <summary>
        /// berschreibt <see cref="System.Object.ToString()"/> um eine
        /// Menschen lesbare Reprsentation einer Instanz dieser Klasse zu
        /// generieren.
        /// </summary>
        public override string ToString()
        {
            return Name;
        }
    }

    public partial class Person
    {
        /// <summary>
        /// berschreibt <see cref="System.Object.ToString()"/> um eine
        /// Menschen lesbare Reprsentation einer Instanz dieser Klasse zu
        /// generieren.
        /// </summary>
        public override string ToString()
        {
            return Name;
        }
    }

    public partial class Performance
    {
        /// <summary>
        /// berschreibt <see cref="System.Object.ToString()"/> um eine
        /// Menschen lesbare Reprsentation einer Instanz dieser Klasse zu
        /// generieren.
        /// </summary>
        public override string ToString()
        {
            StringBuilder builder = new StringBuilder();
            builder.Append(Date);
            builder.Append(": ");
            builder.Append(Movie);
            builder.Append(" (Room ");
            builder.Append(Room);
            builder.Append(")");
            return builder.ToString();
        }
    }

    public partial class Room
    {
        /// <summary>
        /// berschreibt <see cref="System.Object.ToString()"/> um eine
        /// Menschen lesbare Reprsentation einer Instanz dieser Klasse zu
        /// generieren.
        /// </summary>
        public override string ToString()
        {
            return Name;
        }
    }

    public partial class Ticket
    {
        /// <summary>
        /// berschreibt <see cref="System.Object.ToString()"/> um eine
        /// Menschen lesbare Reprsentation einer Instanz dieser Klasse zu
        /// generieren.
        /// </summary>
        public override string ToString()
        {
            StringBuilder builder = new StringBuilder();
            builder.Append(Performance.Movie.ToString());
            builder.Append(": ");
            builder.Append(TicketCode.ToString());
            return builder.ToString();
        }
    }
}